Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.instance
Interface NavigableInstance

All Known Implementing Classes:
  BookInstance, PageInstance

    public interface NavigableInstance

An interface used to indicate that the implementation object can have a Navigation (tab) component associated with it. By definition NavigableInstance components can be contained in a BookView.

Method Summary
`NavigableDefinition` | `getNavigableDefinition()` Returns a `NavigableDefinition` associated with this `NavigableInstance`.
`NavigableDefinitionId` | `getNavigableDefinitionId()` Returns a `NavigableDefinitionId` for the `NavigableDefinition` associated with this `NavigableInstance`.
`NavigableInstanceId` | `getNavigableInstanceId()` Returns a `NavigableInstanceId` associated with this `NavigableInstance`.

Method Detail

### getNavigableInstanceId

    NavigableInstanceId getNavigableInstanceId()

  Returns a `NavigableInstanceId` associated with this `NavigableInstance`. May return `null` if the `NavigableInstance` has not been retrieved using the persistence API

  Returns
    `NavigableInstanceId`

### getNavigableDefinitionId

    NavigableDefinitionId getNavigableDefinitionId()

  Returns a `NavigableDefinitionId` for the `NavigableDefinition` associated with this `NavigableInstance`. May return `null` if the `NavigableInstance` has not been retrieved using the persistence API

  Returns
    `NavigableDefinitionId`

### getNavigableDefinition

    NavigableDefinition getNavigableDefinition()

  Returns a `NavigableDefinition` associated with this `NavigableInstance`. May return `null` if the `NavigableInstance` has not been retrieved using the persistence API

  Returns
    `NavigableDefinition`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved